﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Perforce.P4;

namespace SampleApp
{
    public class Utilities
    {
        public Connection ConnectToServer(string pUri, out Server pServer, out Repository pRep)
        {
            pServer = new Server(new ServerAddress(pUri));
            pRep = new Repository(pServer);
            Connection con = pRep.Connection;

            con.Connect(null);

            return con;
        }

        public void LoginToServer(Connection pCon, string pUserName, string pClientName, string pPassword, out Credential pCred)
        {
            pCon.UserName = pUserName;
            pCon.Client = new Client();
            pCon.Client.Name = pClientName;

            pCred = pCon.Login(pPassword, null, null);
        }

        public Client GetClientMap(string pClientName, Repository pRep)
        {
            Client client = pRep.GetClient(pClientName);

            return client;
        }
    }
}
